Subject: bug#13389: closed (Re: bug#13389: echo command redhat linux OS)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 08 Jan 2013 17:49:02 +0000

Your bug report

#13389: echo command redhat linux OS

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
13389: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=13389
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#13389: echo command redhat linux OS
From: Bernhard Voelker <[email-masked]>
To: Mohanad Azzam <[email-masked]>
Cc: [email-masked]
Date: Tue, 08 Jan 2013 18:47:50 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

tag 13389 notabug
thanks

On 01/08/2013 06:57 AM, Mohanad Azzam wrote:
> Dears
> 
> Could we print values to be as three column ,each column present the values of each file.
> 
> More explanation :
> I have three files ,each file include a queue of values .I need to print all the values by one command to be in one page
> 
> Thanks

Without a sample of your data, this sounds like you
want to use join.

Given you have the 3 files X, Y and Z with the following content:

  $ cat X
  1 x1
  2 x2
  3 x3

  $ cat Y
  1 y1
  2 y2
  3 y3

  $ cat Z
  1 z1
  2 z2
  3 z3

If you don't have the line numbers, then you can easily
create them with e.g. "cat -n X".

Then you can join X and Y (column 1 will be the key),
and join the result (indicated by stdin "-") with Z:

  $ join X Y | join - Z
  1 x1 y1 z1
  2 x2 y2 z2
  3 x3 y3 z3

Have a nice day,
Berny

Subject: echo command redhat linux OS
From: Mohanad Azzam <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Tue, 8 Jan 2013 08:57:51 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Dears

Could we print values to be as three column ,each column present the values of each file.

More explanation :
I have three files ,each file include a queue of values .I need to print all the values by one command to be in one page

Thanks

   www.stc.com.sa<http://www.stc.com.sa/>

Mohanad S. Azzam
Senior Technical Engineer
Content Adaptation System

Operation dept. STC-B41
Contractor-RKe Technology

P Please consider the environment before printing this e-mail.

The information in this email may contain confidential material and it is intended solely for the addresses. Access to this  email by anyone else is unauthorized. If you are not the intended recipient, please delete the email and destroy any copies of it, any disclosure, copying, distribution is prohibited and may be considered unlawful. Contents of this email and any attachments may be altered, Statement and opinions expressed in this email are those of the sender, and do not necessarily  reflect those of Saudi Telecommunications Company (STC).